Schöck
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Динамические блоки > Как удалить существующий блок?

Как удалить существующий блок?

Ответ
Поиск в этой теме
Непрочитано 14.02.2008, 21:56 #1
Как удалить существующий блок?
dextron3
 
Фотограф
 
Алматы
Регистрация: 01.01.2007
Сообщений: 5,042

Предыстория:

Обычно сейчас все делают электронные подписи для того чтобы не уставать подписывать чертежи в ручную.

Создана подпись ввиде сплайна и преобразована в блок,
на всех листах нанесена.

Перед выдачей заказчику в электронном виде хотелось бы чтобы этот блок полностью адалился со всех лайаутов в чертеже (чтобы заказчик не пользовался моей подписью в корыстных целях)

Я обычно создаю другой блок ну допустим кружочек маленький маленький и заменяю крудочком подпись.

Есть ли команда в Автокаде чтобы просто удалить блок из чертежа и из всех мест где он зафиксирован?


Буду признателен!
__________________
инженер проектировшик с опттом программа авто гад образование высшие
Просмотров: 26382
 
Непрочитано 14.02.2008, 22:03
#2
Startrek

AutoCAD/AutoLISP
 
Регистрация: 27.08.2003
Seattle/USA
Сообщений: 1,133


XREF свою подпись, и не посылай заказчикам
__________________
Сквозь тернии к звездам.... и обратно :yes:
Startrek вне форума  
 
Автор темы   Непрочитано 14.02.2008, 23:15
#3
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


я свои файлы по всем компам таскаю не пойдет такое
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 15.02.2008, 03:23
#4
PL


 
Регистрация: 23.11.2006
Сообщений: 4,450


Цитата:
Сообщение от dextron3 Посмотреть сообщение
я свои файлы по всем компам таскаю не пойдет такое
наверно не слышал что такое хреф... прочти в справке и делай как говорят, помещай хреф в ту же папку где основные фаилы и используй относительный путь. Или разберись с разновидностью относительных путей и можешь использовать другие папки. Таскай свои фаилы между комп. на здоровье.
PL вне форума  
 
Автор темы   Непрочитано 15.02.2008, 08:46
#5
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


это я должен таскать вагон и маленькую тележку с хрефами, однако гемор

Неужели не существует команды в автокаде?
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 15.02.2008, 09:53
#6
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,799
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Подозреваю, что компы в сети. Укажи путь Xref как сетевой, даже на своей машине, и таскай себе вагон без маленькой тележки
__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 28.08.2011 в 20:49. Причина: орфография
VVA вне форума  
 
Автор темы   Непрочитано 15.02.2008, 10:00
#7
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


Читал что хрефы притормаживают работу компьютера, особенно когда их много
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 15.02.2008, 10:20
#8
zenon

Остекляем!!! Алюминим!!!
 
Регистрация: 21.02.2005
Москва
Сообщений: 3,400
<phrase 1=


да переопредели блок и вся нелегкая. вставь туды что-нить вроде "Фик Вам!!!"
__________________
Мы можем делать быстро, качественно и недорого, выбирайте любые 2 условия.:search:
zenon вне форума  
 
Непрочитано 15.02.2008, 11:55
#9
mr_ivan


 
Регистрация: 12.02.2008
Сообщений: 31


Быстрым выбором выбирай все блоки с именем твоей подписи, потом purge
но вот это как раз и есть геморой!
Пробуй XREF - когда поймеш его преимущество, ненарадуешься
mr_ivan вне форума  
 
Непрочитано 15.02.2008, 12:34
#10
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,799
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Цитата:
Сообщение от dextron3 Посмотреть сообщение
Читал что хрефы притормаживают работу компьютера, особенно когда их много
Ссылка будет одна, просто вхождений блока может быть сколько угодно
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума  
 
Автор темы   Непрочитано 15.02.2008, 18:32
#11
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


Вопрос на засыпку, а если на двух компьютерах работаешь не соединенных сетью? и файлы хранятся в разных папках и буквы жестких дисков разные?
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 15.02.2008, 22:33
#12
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,749


_etransmit
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 15.02.2008, 23:10
#13
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


Ребята, я нашел более гуманный способ,
берите ручки и записывайте....

1. Двойной щелчок по блоку
2. В выпадающем окошке на кнопку ОК
3. Заходим в редактор дин блока
4. Удаляем наш блочок
5. Закрываем
6. Сохраняем
7. Все!

А хрефы пусть остануться хрефами
Миниатюры
Нажмите на изображение для увеличения
Название: Snap1.jpg
Просмотров: 1961
Размер:	40.2 Кб
ID:	3436  
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Автор темы   Непрочитано 15.02.2008, 23:11
#14
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


как бы теперь это все в макрос записать
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 16.02.2008, 00:22
#15
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,749


>#13 : Достаточно дурной способ, уж прошу прощения. Лисп для удаления блока вообще, где бы он ни был, с попыткой очистки:
Код:
[Выделить все]
(defun remove-block (name / adoc *error* fun_get-name)
                    ;|
*    Удаление блока из файла.
*    Параметры вызова:
	name	имя блока.
*    Примеры вызова:
(remove-block "qwe")
|;
  (defun *error* (msg)
    (vla-endundomark adoc)
    (princ msg)
    (princ)
    ) ;_ end of defun

  (defun fun_get-name (ent)
    (if (vlax-property-available-p ent 'effectivename)
      (vla-get-effectivename ent)
      (vla-get-name ent)
      ) ;_ end of if
    ) ;_ end of defun

  (vl-load-com)
  (vla-startundomark
    (setq adoc (vla-get-activedocument (vlax-get-acad-object)))
    ) ;_ end of vla-startundomark
  (if (tblobjname "block" name)
    (progn
      (vlax-for blk_def (vla-get-blocks adoc)
        (if (equal (vla-get-isxref blk_def) :vlax-false)
          (vlax-for ent blk_def
            (if (and (wcmatch (strcase (vla-get-objectname ent)) "*BLOCKREF*")
                     (= (strcase (fun_get-name ent)) (strcase name))
                     ) ;_ end of and
              (vl-catch-all-apply '(lambda () (vla-erase ent)))
              ) ;_ end of if
            ) ;_ end of vlax-for
          ) ;_ end of if
        ) ;_ end of vlax-for
      (if (vl-catch-all-error-p
            (vl-catch-all-apply
              '(lambda () (vla-delete (vla-item (vla-get-blocks adoc) name)))
              ) ;_ end of vl-catch-all-apply
            ) ;_ end of vl-catch-all-error-p
        (alert (strcase "Не удалось удалить описание блока " name))
        ) ;_ end of if
      (vla-regen adoc acallviewports)
      ) ;_ end of progn
    ) ;_ end of if
  (vla-endundomark adoc)
  (princ)
  ) ;_ end of defun
Состояние слоев не отслеживается (т.е. слои надо будет руками разблокировать и разморозить).
Вариант с удалением состава блока:
Код:
[Выделить все]
(defun remove-block-cont (name / *error* adoc)
                         ;|
*    Удаление состава блока. Сам блок не удаляется
*    Параметры вызова:
	name	имя блока.
*    Примеры вызова:
(remove-block-cont "qwe")
|;
  (defun *error* (msg)
    (vla-endundomark adoc)
    (princ msg)
    (princ)
    ) ;_ end of defun

  (vl-load-com)
  (vla-startundomark
    (setq adoc (vla-get-activedocument (vlax-get-acad-object)))
    ) ;_ end of vla-startundomark
  (if (tblobjname "block" name)
    (progn
      (vlax-for sub (vla-item (vla-get-blocks adoc) name)
        (vl-catch-all-apply '(lambda () (vla-erase sub)))
        ) ;_ end of vlax-for
      (vla-regen adoc acallviewports)
      ) ;_ end of progn
    ) ;_ end of if
  (vla-endundomark adoc)
  (princ)
  ) ;_ end of defun
Насчет слоев - то же, что и в первом лиспе.
Код особо не гонял.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 16.02.2008, 14:13
#16
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


незработал чтото
Миниатюры
Нажмите на изображение для увеличения
Название: Snap1.jpg
Просмотров: 925
Размер:	53.2 Кб
ID:	3446  
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 17.02.2008, 21:27
#17
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,749


Я ж примеры привел специально.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 28.08.2011, 12:54
#18
elsakov


 
Регистрация: 10.04.2011
Сообщений: 8


как удалить блок?
elsakov вне форума  
 
Непрочитано 28.08.2011, 13:55
#19
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,749


Руками. Найти и удалить.
P.S. Каков вопрос, таков ответ.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 13.09.2011, 12:00
#20
Человек


 
Регистрация: 13.09.2011
Сообщений: 1


Главное меню - ФАЙЛ - УТИЛИТЫ - ОЧИСТИТЬ ...
Удаляем неиспользуемые блоки, стили и т.д.
Человек вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Динамические блоки > Как удалить существующий блок?

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Мониторы LCD CRT Разное 94 17.06.2008 10:51
Срочно Удалить Блок Олег Вещий Динамические блоки 9 24.01.2008 08:26
Как создать блок с подвижным элементом? Pave1 Динамические блоки 10 21.04.2006 15:51
Как удалить вершины полилинии!!! игорёк Программирование 6 17.04.2006 07:29
Как удалить Xref ? Новицкий AutoCAD 15 10.03.2005 09:24